Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmpp.muc
Class LeaveRoom

    java.lang.Object
      org.xmpp.packet.Packet
          org.xmpp.packet.Presence
              org.xmpp.muc.LeaveRoom

    public class LeaveRoom

extends Presence

Initial presence sent when joining an existing room or creating a new room. The JoinRoom presence indicates the posibility of the sender to speak MUC.

Code example:

     // Join an existing room or create a new one.
     JoinRoom joinRoom = new JoinRoom("john@jabber.org/notebook", "room@conference.jabber.org/nick");

     component.sendPacket(joinRoom);

Author:
  Gaston Dombiak

Nested Class Summary

Nested classes/interfaces inherited from class org.xmpp.packet.Presence
`Presence.Show, Presence.Type`

Field Summary

Fields inherited from class org.xmpp.packet.Packet
`docFactory, element, fromJID, toJID`

Constructor Summary
`LeaveRoom(String from, String to)` Creates a new Presence packet that could be sent to a MUC service in order to leave the room.

Method Summary

Methods inherited from class org.xmpp.packet.Presence
`addChildElement, createCopy, getChildElement, getPriority, getShow, getStatus, getType, isAvailable, setPriority, setShow, setStatus, setType`

Methods inherited from class org.xmpp.packet.Packet
`addExtension, deleteExtension, getElement, getError, getExtension, getFrom, getID, getTo, setError, setError, setFrom, setFrom, setID, setTo, setTo, toString, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeaveRoom

    public LeaveRoom(String from,
                     String to)

  Creates a new Presence packet that could be sent to a MUC service in order to leave the room.

  Parameters:
    `from` - the full JID of the user that wants to leave the room.
    `to` - the room JID. That is the room address plus the nickname of the user as a resource.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.